# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 742 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/register.al)"
sub register {
	# http://www.nominet.org.uk/registrars/systems/auto/request/
	my $operation = 'request';

	my $self = shift;
	my $domain;
	if (@_[1]) { $domain = shift; }
	my $idetails = shift;
	if ($domain) { $idetails->{'key'} = $domain; }
	
	if (!$domain) {
		$errstr = "Domain is required";
		return;
	}
	
	if (!$idetails) {
		$errstr = "Details are required";
		return;
	}

	$idetails->{'operation'} = $operation;
	$idetails->{'key'}=$domain;

	if (!&operation($idetails)) {
		# $errstr will be set in the subroutine
		return;
	}

	return 1;
}

# end of Net::UKDomain::Nominet::Automaton::register
1;
