# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 833 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/release.al)"
sub release {
	# http://www.nominet.org.uk/registrars/systems/auto/release/
	my $operation = 'release';
	
	my $self = shift;
	my $domain = shift;
	my $tag = uc shift;
	my $idetails;

	if (!$domain) {
		$errstr = "Domain is required";
		return;
	}
	
	if (!$tag) {
		$errstr = "Registrar TAG is required";
		return;
	}

	$idetails->{'operation'} = $operation;
	$idetails->{'key'}=$domain;
	$idetails->{'registrar-tag'}=$tag;

	if (!&operation($idetails)) {
		# $errstr will be set in the subroutine
		return;
	}

	return 1;
}

# end of Net::UKDomain::Nominet::Automaton::release
1;
