# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 1013 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/send_mail.al)"
sub send_mail {
	# Takes a message and sends it to specified recpient.

	my $recipient = shift;
	my $subject = shift;
	my $message = shift;
	
	if (defined $self{testemail}) {
		$recipient = $self{testemail};
	}

	if (!$recipient) {
		$errstr = "Recipient is empty";
		return;
	}

	if (!$subject ) {
		$errstr = "Subject is empty";
		return;
		}

	if (!$message ) {
		$errstr = "Message is empty";
		return;
	}

	# If the user sets the testemail as testemail, we'll skip this part
	if ($recipient eq 'testemail') { return 1; }

	use Net::SMTP;
	my $smtp = Net::SMTP->new($self{smtpserver});
    
	$errstr = "Unable to connect to " . $self{smtpserver} . " smtpserver", return if ! $smtp;
    
	return if ! $smtp->mail($self{emailfrom});
	return if ! $smtp->to($recipient);
    
	return if ! $smtp->data();
	return if ! $smtp->datasend("To: $recipient\n");
	return if ! $smtp->datasend("From: ".$self{emailfrom}."\n");
	return if ! $smtp->datasend("X-Sent-Via: Net::UKDomains::Nominet::Automaton\n");
	return if ! $smtp->datasend("Subject: $subject\n\n");
    
	return if ! $smtp->datasend($message);
	return if ! $smtp->dataend();
	return if ! $smtp->quit;
    
	return 1;
}

# end of Net::UKDomain::Nominet::Automaton::send_mail
1;
