# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 667 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/sign.al)"
sub sign {
	# http://www.nominet.org.uk/registrars/systems/auto/pgp/
	
	my $data = shift;
	
	use Crypt::OpenPGP;
	
	my $pgp = undef;
	$pgp = Crypt::OpenPGP->new( SecRing => $self{secring},
	                            PubRing => $self{pubring},
	                            Compat  => $self{compat}
	);
	my $sign = undef;
	$sign = $pgp->sign(
	                           Data	 	=> $data,
	                           KeyID 	=> $self{keyid},
	                           Passphrase	=> $self{passphrase},
	                           Armour	=> 1,
	                           Clearsign	=> 1,
	);

	if (!$sign ) {
		$errstr = "Unable to sign message for '".$self{keyid}."' - ".$pgp->errstr;
		return;
	}

	return $sign;
}

# end of Net::UKDomain::Nominet::Automaton::sign
1;
