# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 712 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/valid_tag.al)"
sub valid_tag {
	my $taglist_url = 'http://www.nominet.org.uk/registrars/becomeregistrar/taglist/';
	my $tag = uc shift;
	
	if (!$tag) {
		$errstr = "Registrar TAG is required";
		return;
	}
	
	# Check that the TAG is valid
	use LWP::UserAgent;
	my $ua = LWP::UserAgent->new(timeout => 30);
	if (!$ua) {
		$errstr = "Unable to lookup tag: User Agent is empty.";
		return;
	}
	my $response = $ua->get($taglist_url);
	if (!$response->is_success) {
		$errstr = "Unable to lookup tag: ".$response->status_line;
		return;
	}
	if ($response->content =~ /<td>$tag<\/td>/im) {
		return $tag;
	}
	else {
		$errstr = "The Registrar TAG '$tag' is unrecognised";
		return;
	}
}

# end of Net::UKDomain::Nominet::Automaton::valid_tag
1;
