# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 983 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/domain_available.al)"
sub domain_available {
	# Takes a domain name and returns true if it is not already registered.

	my $self = shift;
	my $domain = shift;
        
	return undef if ! $self->valid_domain($domain);
    
	use Net::XWhois;

	my $whois = Net::XWhois->new( Domain=>$domain );
    
	if ( ! $whois ) {
		$errstr = "Cannot connect to whois server for domain '$domain'";
		return undef;
		}
	my $response = $whois->response;
	if ( ! $response ) {
		$errstr = "No response from whois server for domain '$domain'";
		return undef;
		}
	if ( $response =~ m/no match for/i ) {
		return 1;
 		}
 	else {
		$errstr = "Domain already registered";
		return undef;
		}
}

# end of Net::UKDomain::Nominet::Automaton::domain_available
1;
