# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 773 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/modify.al)"
sub modify {
	# http://www.nominet.org.uk/registrars/systems/auto/modify/
	my $operation = 'modify';
	my $self = shift;
	my $domain;
	if (@_[1]) { $domain = shift; }
	my $idetails = shift;
	if ($domain) { $idetails->{'key'} = $domain; }
    
	if (!$idetails) {
		$errstr = "Details are required";
		return;
	}
	
	if (ref($idetails) ne 'HASH') {
		$errstr = "Details must be a hash";
		return;
	}
	
	$idetails->{'operation'} = $operation;

	if (!&operation($idetails)) {
		# $errstr will be set in the subroutine
		return;
	}

	return 1;
}

# end of Net::UKDomain::Nominet::Automaton::modify
1;
