# NOTE: Derived from blib/lib/Net/UKDomain/Nominet/Automaton.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::UKDomain::Nominet::Automaton;

#line 802 "blib/lib/Net/UKDomain/Nominet/Automaton.pm (autosplit into blib/lib/auto/Net/UKDomain/Nominet/Automaton/query.al)"
sub query {
	# http://www.nominet.org.uk/registrars/systems/auto/query/
	my $operation = 'query';
	
	my $self = shift;
	$idetails = shift;
	if (ref($idetails) ne 'HASH') {
		my $domain = $idetails;
		undef $idetails;
		my %idetails;
		$idetails->{'key'} = $domain;
	}
	$idetails->{'operation'} = $operation;
	
	if (!$idetails) {
		$errstr = "Details are required";
		return;
	}
	
	if (ref($idetails) ne 'HASH') {
		$errstr = "Details must be a hash";
		return;
	}

	if (!&operation($idetails)) {
		# $errstr will be set in the subroutine
		return;
	}
	return 1;
}

# end of Net::UKDomain::Nominet::Automaton::query
1;
